LogoThreatmatic

List Users

GET
/admin/list-users

List users

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication

In: header

Query Parameters

searchValue?string|null
searchField?|

The field to search in, defaults to email. Can be email or name. Eg: "name"

searchOperator?|

The operator to use for the search. Can be contains, starts_with or ends_with. Eg: "contains"

limit?string|null
offset?string|null
sortBy?|

The field to sort by

sortDirection?|

The direction to sort by

filterField?|

The field to filter by

filterValue?string|null
filterOperator?|

The operator to use for the filter

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://console.threatmatic.ai/api/auth/admin/list-users"
{
  "users": [
    {
      "id": "string",
      "name": "string",
      "email": "string",
      "emailVerified": false,
      "image": "string",
      "createdAt": "Generated at runtime",
      "updatedAt": "Generated at runtime",
      "lastLoginMethod": "string",
      "stripeCustomerId": "string",
      "role": "string",
      "banned": false,
      "banReason": "string",
      "banExpires": "2019-08-24T14:15:22Z",
      "lang": "en"
    }
  ],
  "total": 0,
  "limit": 0,
  "offset": 0
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}